opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | List of all members
cv::DescriptorExtractor Class Referenceabstract

`#include <features2d.hpp>`

Inheritance diagram for cv::DescriptorExtractor:

## Public Member Functions
void | compute (const Mat &image, vector< KeyPoint > &keypoints, Mat &descriptors) const
void | compute (const vector< Mat > &images, vector< vector< KeyPoint > > &keypoints, vector< Mat > &descriptors) const
virtual int | descriptorSize () const =0
virtual int | descriptorType () const =0
virtual void | read (const FileNode &)
virtual void | write (FileStorage &) const
virtual | ~DescriptorExtractor ()

## Static Public Member Functions
static Ptr< DescriptorExtractor > | create (const string &descriptorExtractorType)

## Protected Member Functions
virtual void | computeImpl (const Mat &image, vector< KeyPoint > &keypoints, Mat &descriptors) const =0

## Static Protected Member Functions
static void | removeBorderKeypoints (vector< KeyPoint > &keypoints, Size imageSize, int borderSize)

## Constructor & Destructor Documentation

virtual cv::DescriptorExtractor::~DescriptorExtractor | ( |  | ) |
| virtual

## Member Function Documentation

void cv::DescriptorExtractor::compute | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | Mat & | descriptors
| ) |  | const

void cv::DescriptorExtractor::compute | ( | const vector< Mat > & | images,
|  | vector< vector< KeyPoint > > & | keypoints,
|  | vector< Mat > & | descriptors
| ) |  | const

virtual void cv::DescriptorExtractor::computeImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | Mat & | descriptors
| ) |  | const
| protected pure virtual

Implemented in cv::OpponentColorDescriptorExtractor, cv::CalonderDescriptorExtractor< T >, cv::SurfDescriptorExtractor, and cv::SiftDescriptorExtractor.

static Ptr<DescriptorExtractor> cv::DescriptorExtractor::create | ( | const string & | descriptorExtractorType | ) |
| static

virtual int cv::DescriptorExtractor::descriptorSize | ( |  | ) | const
| pure virtual

Implemented in cv::BriefDescriptorExtractor, cv::OpponentColorDescriptorExtractor, cv::CalonderDescriptorExtractor< T >, cv::SurfDescriptorExtractor, and cv::SiftDescriptorExtractor.

virtual int cv::DescriptorExtractor::descriptorType | ( |  | ) | const
| pure virtual

Implemented in cv::BriefDescriptorExtractor, cv::OpponentColorDescriptorExtractor, cv::CalonderDescriptorExtractor< T >, cv::SurfDescriptorExtractor, and cv::SiftDescriptorExtractor.

virtual void cv::DescriptorExtractor::read | ( | const FileNode & |  | ) |
| virtual

Reimplemented in cv::OpponentColorDescriptorExtractor, cv::CalonderDescriptorExtractor< T >, cv::SurfDescriptorExtractor, and cv::SiftDescriptorExtractor.

static void cv::DescriptorExtractor::removeBorderKeypoints | ( | vector< KeyPoint > & | keypoints,
|  | Size | imageSize,
|  | int | borderSize
| ) |  |
| static protected

virtual void cv::DescriptorExtractor::write | ( | FileStorage & |  | ) | const
| virtual

Reimplemented in cv::OpponentColorDescriptorExtractor, cv::CalonderDescriptorExtractor< T >, cv::SurfDescriptorExtractor, and cv::SiftDescriptorExtractor.

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp